import request from '@/utils/request'

export function getCity(query) {
    return request({
        url: '/getCity',
        method: 'get',
        params: query
    })
}

export function getClassificationListPage(query) {
    return request({
        url: '/system/classification/getClassificationListPage',
        method: 'get',
        params: query
    })
}
export function modifyStoreInfo(query) {
    return request({
        url: '/system/appUser/modifyStoreInfo',
        method: 'post',
        data: query
    })
}
/**
 * 设置账期
 * @param {*} query 
 * @returns 
 */
export function setAccount(query) {
    return request({
        url: '/system/goods/setAccount',
        method: 'post',
        data: query
    })
}

export function getStoreInfo(query) {
    return request({
        url: '/system/appUser/getStoreInfo',
        method: 'get',
        params: query
    })
}

export function getDict(query) {
    return request({
        url: '/system/dict/data/type/' + query,
        method: 'get',
    })
}

